#pragma once

#include "CoreMinimal.h"
#include "AchievementBase.h"
#include "GameplayTagContainer.h"
#include "SpendTimeWithStateTagTypeAchievement.generated.h"

UCLASS(Blueprintable)
class ACHIEVEMENTS_API USpendTimeWithStateTagTypeAchievement : public UAchievementBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FName _statName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _gameplayTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _targetTimeToSpendWithStateTag;

public:
	USpendTimeWithStateTagTypeAchievement();
};

FORCEINLINE uint32 GetTypeHash(const USpendTimeWithStateTagTypeAchievement) { return 0; }
